Mail archive
alpine-devel

[alpine-devel] [PATCH 4/4] main/sendpage: moved from testing

From: Jeff Bilyk <jbilyk_at_gmail.com>
Date: Thu, 7 Apr 2011 20:03:51 +0000

---
 main/sendpage/APKBUILD    |   46 +++++++++++++++++++++++++++++++++++++++++++++
 testing/sendpage/APKBUILD |   46 ---------------------------------------------
 2 files changed, 46 insertions(+), 46 deletions(-)
 create mode 100644 main/sendpage/APKBUILD
 delete mode 100644 testing/sendpage/APKBUILD
diff --git a/main/sendpage/APKBUILD b/main/sendpage/APKBUILD
new file mode 100644
index 0000000..4fa3e3f
--- /dev/null
+++ b/main/sendpage/APKBUILD
_at_@ -0,0 +1,46 @@
+# Maintainer: Jeff Bilyk <jbilyk_at_gmail.com>
+pkgname=sendpage
+pkgver=1.0.3
+_pkgver=1.000003
+pkgrel=1
+pkgdesc="SNPP server, client, queueing engine, modem control and TAP system"
+url="http://www.sendpage.org"
+arch="noarch"
+license="GPL"
+depends=
+makedepends="perl-dev perl-mail-tools perl-net-snpp perl-device-serialport
+	perl-dbi perl-sys-hostname-long perl-test-mockobject"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$_pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$_pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	perl ./Makefile.PL \
+		PREFIX="/usr" \
+		INSTALLSITELIB="/usr/lib/perl5/site_perl" \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	# Remove useless folder, since it has nothing of value in it
+	rm -r "$pkgdir"/usr/local
+	# Prevent perl file collisions
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="586afe41d6cd82d045fdc34ccf99cab3  sendpage-1.000003.tar.gz"
diff --git a/testing/sendpage/APKBUILD b/testing/sendpage/APKBUILD
deleted file mode 100644
index 4fa3e3f..0000000
--- a/testing/sendpage/APKBUILD
+++ /dev/null
_at_@ -1,46 +0,0 @@
-# Maintainer: Jeff Bilyk <jbilyk_at_gmail.com>
-pkgname=sendpage
-pkgver=1.0.3
-_pkgver=1.000003
-pkgrel=1
-pkgdesc="SNPP server, client, queueing engine, modem control and TAP system"
-url="http://www.sendpage.org"
-arch="noarch"
-license="GPL"
-depends=
-makedepends="perl-dev perl-mail-tools perl-net-snpp perl-device-serialport
-	perl-dbi perl-sys-hostname-long perl-test-mockobject"
-install=""
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$_pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$_pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	perl ./Makefile.PL \
-		PREFIX="/usr" \
-		INSTALLSITELIB="/usr/lib/perl5/site_perl" \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	# Remove useless folder, since it has nothing of value in it
-	rm -r "$pkgdir"/usr/local
-	# Prevent perl file collisions
-	find "$pkgdir" -name perllocal.pod -delete
-}
-
-md5sums="586afe41d6cd82d045fdc34ccf99cab3  sendpage-1.000003.tar.gz"
-- 
1.7.4.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Apr 07 2011 - 20:03:51 UTC